> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all lists for a specific object

> Retrieves all lists associated with a specific object type



## OpenAPI

````yaml /api-reference/openapi.json get /v1/objects/{slug}/lists
openapi: 3.0.0
info:
  description: >-
    REST API for accessing and managing your Nex data. Generate API keys from
    the Nex web UI and use them to authenticate requests.
  title: Nex Developer API
  contact: {}
  version: '1.0'
servers:
  - url: https://app.nex.ai/api/developers
security: []
paths:
  /v1/objects/{slug}/lists:
    get:
      tags:
        - Lists
      summary: List all lists for a specific object
      description: Retrieves all lists associated with a specific object type
      operationId: listObjectLists
      parameters:
        - description: Object slug (e.g., 'person', 'company')
          name: slug
          in: path
          required: true
          schema:
            type: string
        - description: Include attribute definitions for each list
          name: include_attributes
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: List of lists for the object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/developer.ListObjectsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '404':
          description: Object not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    developer.ListObjectsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/developer.ObjectResponse'
      example:
        data:
          - id: '123'
            slug: person
            name: Person
            name_plural: People
            type: person
            description: ''
            created_at: '2024-01-01T00:00:00Z'
            attributes:
              - id: '456'
                slug: name
                type: full_name
                name: Name
                description: ''
                options:
                  is_multi_value: false
                  is_required: true
                  is_unique: false
              - id: '789'
                slug: email_addresses
                type: email
                name: Email Addresses
                description: ''
                options:
                  is_multi_value: true
                  is_required: false
                  is_unique: true
          - id: '456'
            slug: company
            name: Company
            name_plural: Companies
            type: company
            description: ''
            created_at: '2024-01-01T00:00:00Z'
            attributes:
              - id: '987'
                slug: name
                type: text
                name: Name
                description: ''
                options:
                  is_multi_value: false
                  is_required: true
                  is_unique: false
              - id: '654'
                slug: domains
                type: domain
                name: Domains
                description: ''
                options:
                  is_multi_value: true
                  is_required: false
                  is_unique: true
              - id: '321'
                slug: industries
                type: select
                name: Industries
                description: ''
                options:
                  is_multi_value: true
                  is_required: false
                  is_unique: false
                  select_options:
                    - id: tech
                      name: Technology
                    - id: finance
                      name: Financial Services
                    - id: healthcare
                      name: Healthcare
                    - id: retail
                      name: Retail
    httpx.APIError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
    developer.ObjectResponse:
      type: object
      properties:
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/developer.AttributeDefinitionResponse'
        created_at:
          type: string
        description:
          type: string
        id:
          type: string
        name:
          type: string
        name_plural:
          type: string
        slug:
          type: string
        type:
          type: string
    developer.AttributeDefinitionResponse:
      type: object
      properties:
        description:
          type: string
        id:
          type: string
        name:
          type: string
        options:
          $ref: '#/components/schemas/developer.AttributeOptionsResponse'
        slug:
          type: string
        type:
          type: string
    developer.AttributeOptionsResponse:
      type: object
      properties:
        is_multi_value:
          type: boolean
        is_required:
          type: boolean
        is_unique:
          type: boolean
        is_whole_number:
          type: boolean
        select_options:
          type: array
          items:
            $ref: '#/components/schemas/developer.SelectOptionResponse'
        use_raw_format:
          type: boolean
    developer.SelectOptionResponse:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
  securitySchemes:
    ApiKeyAuth:
      description: 'API key for authentication (format: "Bearer YOUR_API_KEY")'
      type: apiKey
      name: Authorization
      in: header

````